Skip to content
Browse API reference

Get Events Schema

Get schema for the Event object. Returns all fields with their respective descriptions, types and allowed funcs and operations.

Request

GET https://api.castle.io/v1/events/schema

Response

200
object

Returns the list of fields and buckets data to be used when requesting v1/events/query or v1/events/count

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

500
No body

There’s an issue on our end.